<mamecheat version="1">

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@89D63</action>
      <action>maincpu.mb@89D63=EB</action> <!-- Normal Hits -->
      <action>temp1 =maincpu.mb@8A089</action>
      <action>maincpu.mb@8A089=EB</action> <!-- Objects -->
      <action>temp2 =maincpu.mb@8A29D</action>
      <action>maincpu.mb@8A29D=EB</action> <!-- Rockets -->
      <action>temp3 =maincpu.mb@CBBB3</action>
      <action>maincpu.mb@CBBB3=EB</action> <!-- Neck slasher - stop them going for you -->
      <action>temp4 =maincpu.mb@8A8A1</action>
      <action>maincpu.mb@8A8A1=EB</action> <!-- Lightning at end -->
    </script>
    <script state="off">
      <action>maincpu.mb@89D63=temp0 </action>
      <action>maincpu.mb@8A089=temp1 </action>
      <action>maincpu.mb@8A29D=temp2 </action>
      <action>maincpu.mb@CBBB3=temp3 </action>
      <action>maincpu.mb@8A8A1=temp4 </action>
    </script>
  </cheat>

  <cheat desc="Easy Kills + Total Destruction" tempvariables="35"> <comment>Mostly One Hit apart from the Bosses</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@820EC</action>
      <action>maincpu.mb@820EC=00</action>
      <action>temp1 =maincpu.mb@89F94</action>
      <action>maincpu.mb@89F94=00</action>
      <action>temp2 =maincpu.mb@8A1A8</action>
      <action>maincpu.mb@8A1A8=00</action>
      <action>temp3 =maincpu.mb@8A38D</action>
      <action>maincpu.mb@8A38D=00</action>
      <action>temp4 =maincpu.mb@8A490</action>
      <action>maincpu.mb@8A490=00</action>
      <action>temp5 =maincpu.mb@8A55E</action>
      <action>maincpu.mb@8A55E=00</action>
      <action>temp6 =maincpu.mb@8A62F</action>
      <action>maincpu.mb@8A62F=00</action>
      <action>temp7 =maincpu.mb@8A700</action>
      <action>maincpu.mb@8A700=00</action>
      <action>temp8 =maincpu.mb@8A7A5</action>
      <action>maincpu.mb@8A7A5=00</action>
      <action>temp9 =maincpu.mb@8A849</action>
      <action>maincpu.mb@8A849=00</action>
      <action>temp10=maincpu.mb@8A8ED</action>
      <action>maincpu.mb@8A8ED=00</action>
      <action>temp11=maincpu.mb@9721E</action>
      <action>maincpu.mb@9721E=00</action>
      <action>temp12=maincpu.mb@97330</action>
      <action>maincpu.mb@97330=00</action>
      <action>temp13=maincpu.mb@9BEB7</action>
      <action>maincpu.mb@9BEB7=00</action>
      <action>temp14=maincpu.mb@9BFC9</action>
      <action>maincpu.mb@9BFC9=00</action>
      <action>temp15=maincpu.mb@9FC7A</action>
      <action>maincpu.mb@9FC7A=00</action>
      <action>temp16=maincpu.mb@9FD8C</action>
      <action>maincpu.mb@9FD8C=00</action>
      <action>temp17=maincpu.mb@ADBBE</action>
      <action>maincpu.mb@ADBBE=00</action>
      <action>temp18=maincpu.mb@B1F23</action>
      <action>maincpu.mb@B1F23=00</action>
      <action>temp19=maincpu.mb@B4E5E</action>
      <action>maincpu.mb@B4E5E=00</action>
      <action>temp20=maincpu.mb@B8EE3</action>
      <action>maincpu.mb@B8EE3=00</action>
      <action>temp21=maincpu.mb@B8FF5</action>
      <action>maincpu.mb@B8FF5=00</action>
      <action>temp22=maincpu.mb@BC160</action>
      <action>maincpu.mb@BC160=00</action>
      <action>temp23=maincpu.mb@BC272</action>
      <action>maincpu.mb@BC272=00</action>
      <action>temp24=maincpu.mb@BED81</action>
      <action>maincpu.mb@BED81=00</action>
      <action>temp25=maincpu.mb@BEE93</action>
      <action>maincpu.mb@BEE93=00</action>
      <action>temp26=maincpu.mb@C201D</action>
      <action>maincpu.mb@C201D=00</action>
      <action>temp27=maincpu.mb@C212F</action>
      <action>maincpu.mb@C212F=00</action>
      <action>temp28=maincpu.mb@C9C0A</action>
      <action>maincpu.mb@C9C0A=00</action>
      <action>temp29=maincpu.mb@CCA49</action>
      <action>maincpu.mb@CCA49=00</action>
      <action>temp30=maincpu.mb@CEF8F</action>
      <action>maincpu.mb@CEF8F=00</action>
      <action>temp31=maincpu.mb@D09AB</action>
      <action>maincpu.mb@D09AB=00</action>
      <action>temp32=maincpu.mb@D0AB1</action>
      <action>maincpu.mb@D0AB1=00</action>
      <action>temp33=maincpu.mb@D3F9F</action>
      <action>maincpu.mb@D3F9F=00</action>
      <action>temp34=maincpu.mb@D40B1</action>
      <action>maincpu.mb@D40B1=00</action>
    </script>
    <script state="off">
      <action>maincpu.mb@820EC=temp0 </action>
      <action>maincpu.mb@89F94=temp1 </action>
      <action>maincpu.mb@8A1A8=temp2 </action>
      <action>maincpu.mb@8A38D=temp3 </action>
      <action>maincpu.mb@8A490=temp4 </action>
      <action>maincpu.mb@8A55E=temp5 </action>
      <action>maincpu.mb@8A62F=temp6 </action>
      <action>maincpu.mb@8A700=temp7 </action>
      <action>maincpu.mb@8A7A5=temp8 </action>
      <action>maincpu.mb@8A849=temp9 </action>
      <action>maincpu.mb@8A8ED=temp10</action>
      <action>maincpu.mb@9721E=temp11</action>
      <action>maincpu.mb@97330=temp12</action>
      <action>maincpu.mb@9BEB7=temp13</action>
      <action>maincpu.mb@9BFC9=temp14</action>
      <action>maincpu.mb@9FC7A=temp15</action>
      <action>maincpu.mb@9FD8C=temp16</action>
      <action>maincpu.mb@ADBBE=temp17</action>
      <action>maincpu.mb@B1F23=temp18</action>
      <action>maincpu.mb@B4E5E=temp19</action>
      <action>maincpu.mb@B8EE3=temp20</action>
      <action>maincpu.mb@B8FF5=temp21</action>
      <action>maincpu.mb@BC160=temp22</action>
      <action>maincpu.mb@BC272=temp23</action>
      <action>maincpu.mb@BED81=temp24</action>
      <action>maincpu.mb@BEE93=temp25</action>
      <action>maincpu.mb@C201D=temp26</action>
      <action>maincpu.mb@C212F=temp27</action>
      <action>maincpu.mb@C9C0A=temp28</action>
      <action>maincpu.mb@CCA49=temp29</action>
      <action>maincpu.mb@CEF8F=temp30</action>
      <action>maincpu.mb@D09AB=temp31</action>
      <action>maincpu.mb@D0AB1=temp32</action>
      <action>maincpu.mb@D3F9F=temp33</action>
      <action>maincpu.mb@D40B1=temp34</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
